Mulgara - Bug #115

Non-canonicalized dateTimes
05/17/2008 10:59 PM - Paula Gearon

Status: Closed Start date:

Priority: Immediate Due date:

Assignee: Paula Gearon % Done: 0%
Category: Mulgara Estimated time: 0.00 hour
Target version: SPARQL Query Engine

Resolution: fixed

Description

Literals of type xsd:dateTime are currently canonicalized to UTC.

These need to be stored with the timezone (so the original time can be restored), and with a flag to indicate if the original format was
00:00:00 or 24:00:00.

Timezones need only be stored in 15 minute increments.

History

#1 - 06/06/2008 11:22 PM - Paula Gearon
- Status changed from New to Closed

- Resolution set to fixed
